# X + Y discount settings update

Updates settings for X + Y discounts. All settings are optional, but at
least one should be present.

Please note, that updating "enableInCashdesk" setting on HU projects
will throw an exception.


If you're targeting a discount to a specific category, right now, we
only include products that have

that category as their primary one. If you want to include all products
in that category in the discount,

not just the ones in the primary category, please use
categoryTargeting attribute with all-categories value.

Endpoint: PATCH /api/xy-discounts/settings
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.combineWithLoyaltyDiscounts` (boolean)
    X+Y Discount can be combined with loyalty discount

  - `data.combineWithVolumeDiscounts` (boolean)
    X+Y Discount can be combined with volume discount

  - `data.combineWithQuantityDiscounts` (boolean)
    X+Y Discount can be combined with quantity discount

  - `data.enableMultipleDiscounts` (boolean)
    Multiple X+Y discounts can be applied at once

  - `data.categoryTargeting` (any)
    Enum, discount category targeting
    Enum: "all-categories", "primary-category"

  - `data.enableInCashdesk` (boolean)
    Enable X+Y discounts in cashdesk, please note this option is not present for HU eshops

## Response 200 fields (application/json):

  - `data` (object)

  - `data.combineWithLoyaltyDiscounts` (boolean, required)
    X+Y Discount can be combined with loyalty discount

  - `data.combineWithVolumeDiscounts` (boolean, required)
    X+Y Discount can be combined with volume discount

  - `data.combineWithQuantityDiscounts` (boolean, required)
    X+Y Discount can be combined with quantity discount

  - `data.enableMultipleDiscounts` (boolean, required)
    Multiple X+Y discounts can be applied at once

  - `data.categoryTargeting` (any, required)
    Enum, discount category targeting
    Enum: "all-categories", "primary-category"

  - `data.enableInCashdesk` (boolean)
    Enable X+Y discounts in cashdesk, please note this option is not present for HU eshops

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 422 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


